[Frugalware-darcs] frugalware-current: knetdockapp-0.82-1-i686

crazy crazy at frugalware.org
Tue Jul 3 10:14:52 CEST 2007


Darcsweb-Url: http://darcs.frugalware.org/darcsweb/darcsweb.cgi?r=frugalware-current;a=darcs_commitdiff;h=20070703081412-f6986-300b328804ce4996a5ae708c6cbc2d2cd3ee5499.gz;

[knetdockapp-0.82-1-i686
crazy <crazy at frugalware.org>**20070703081412
 * Version bump
] {
hunk ./source/kde-extra/knetdockapp/FrugalBuild 5
-pkgver=0.67.5.3
+pkgver=0.82
hunk ./source/kde-extra/knetdockapp/FrugalBuild 8
-depends=('kdebase')
+depends=('kdebase>=3.5.7')
hunk ./source/kde-extra/knetdockapp/FrugalBuild 13
+_F_kde_reconf=1
hunk ./source/kde-extra/knetdockapp/FrugalBuild 15
-source=(http://www.kde-apps.org/content/files/29398-$pkgname-$pkgver.tar.gz autoconf-2.6x)
-sha1sums=('8704ce2b724074ac45b7dfca075691e423e2fffa' \
-          'c218b56f249d794a07b02220acc1e63550990f5d')
+source=( http://www.kde-apps.org/CONTENT/content-files/29398-$pkgname-$pkgver.tar.bz2)
+sha1sums=('221f79628eed9f125c1c3e8158a99a7d98257f61')
hunk ./source/kde-extra/knetdockapp/FrugalBuild 18
-build()
-{
-	Fcd
-	Fpatch autoconf-2.6x
-	make -f Makefile.cvs || return 1
-	Fbuild --disable-debug --without-debug --with-gnu-ld
-}
hunk ./source/kde-extra/knetdockapp/autoconf-2.6x 1
-diff -Naur knetdockapp-0.67.5.3/admin/cvs.sh knetdockapp-0.67.5.3-p/admin/cvs.sh
---- knetdockapp-0.67.5.3/admin/cvs.sh	2006-03-09 19:45:29.000000000 +0100
-+++ knetdockapp-0.67.5.3-p/admin/cvs.sh	2006-06-29 21:28:47.519642688 +0200
-@@ -29,30 +29,30 @@
- {
- AUTOCONF_VERSION=`$AUTOCONF --version | head -n 1`
- case $AUTOCONF_VERSION in
--  Autoconf*2.5* | autoconf*2.5* ) : ;;
-+  Autoconf*2.5* | autoconf*2.5* | Autoconf*2.6* | autoconf*2.6* ) : ;;
-   "" )
-     echo "*** AUTOCONF NOT FOUND!."
--    echo "*** KDE requires autoconf 2.52, 2.53 or 2.54"
-+    echo "*** KDE requires autoconf 2.5x or 2.6x"
-     exit 1
-     ;;
-   * )
-     echo "*** YOU'RE USING $AUTOCONF_VERSION."
--    echo "*** KDE requires autoconf 2.52, 2.53 or 2.54"
-+    echo "*** KDE requires autoconf 2.5x or 2.6x"
-     exit 1
-     ;;
- esac
-  
- AUTOHEADER_VERSION=`$AUTOHEADER --version | head -n 1`
- case $AUTOHEADER_VERSION in
--  Autoconf*2.5* | autoheader*2.5* ) : ;;
-+  Autoconf*2.5* | autoheader*2.5* | Autoconf*2.6* | autoheader*2.6*) : ;;
-   "" )
-     echo "*** AUTOHEADER NOT FOUND!."
--    echo "*** KDE requires autoheader 2.52 or 2.53 (part of autoconf)"
-+    echo "*** KDE requires autoheader 2.5x or 2.6x (part of autoconf)"
-     exit 1
-     ;;
-   * )
-     echo "*** YOU'RE USING $AUTOHEADER_VERSION."
--    echo "*** KDE requires autoheader 2.52 or 2.53 (part of autoconf)"
-+    echo "*** KDE requires autoheader 2.5x or 2.6x (part of autoconf)"
-     exit 1
-     ;;
- esac
rmfile ./source/kde-extra/knetdockapp/autoconf-2.6x
}


More information about the Frugalware-darcs mailing list